## org.eclipse.datatools.modelbase.sql.query
Class PredicateQuantifiedType

    java.lang.Object
      AbstractEnumerator
          org.eclipse.datatools.modelbase.sql.query.PredicateQuantifiedType

public final class PredicateQuantifiedType
extends AbstractEnumerator

A representation of the literals of the enumeration 'SQL Predicate Quantified Type', and utility methods for working with them.

See Also:
  `SQLQueryModelPackage.getPredicateQuantifiedType()`, Serialized Form

Field Summary
`static int` `ALL` The 'ALL' literal value.
`static PredicateQuantifiedType` `ALL_LITERAL` The 'ALL' literal object.
`static int` `ANY` The 'ANY' literal value.
`static PredicateQuantifiedType` `ANY_LITERAL` The 'ANY' literal object.
`static int` `SOME` The 'SOME' literal value.
`static PredicateQuantifiedType` `SOME_LITERAL` The 'SOME' literal object.
`static java.util.List` `VALUES` A public read-only list of all the 'Predicate Quantified Type' enumerators.

Method Summary
`static PredicateQuantifiedType` `get(int value)` Returns the 'Predicate Quantified Type' literal with the specified integer value.
`static PredicateQuantifiedType` `get(java.lang.String literal)` Returns the 'Predicate Quantified Type' literal with the specified literal value.
`static PredicateQuantifiedType` `getByName(java.lang.String name)` Returns the 'Predicate Quantified Type' literal with the specified name.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SOME

    public static final int SOME

  The 'SOME' literal value.

  See Also:
    `SOME_LITERAL`, Constant Field Values

### ANY

    public static final int ANY

  The 'ANY' literal value.

  See Also:
    `ANY_LITERAL`, Constant Field Values

### ALL

    public static final int ALL

  The 'ALL' literal value.

  See Also:
    `ALL_LITERAL`, Constant Field Values

### SOME_LITERAL

    public static final PredicateQuantifiedType SOME_LITERAL

  The 'SOME' literal object.

  If the meaning of 'SOME' literal object isn't clear, there really should be more of a description here...

  See Also:
    `SOME`

### ANY_LITERAL

    public static final PredicateQuantifiedType ANY_LITERAL

  The 'ANY' literal object.

  If the meaning of 'ANY' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ANY`

### ALL_LITERAL

    public static final PredicateQuantifiedType ALL_LITERAL

  The 'ALL' literal object.

  If the meaning of 'ALL' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ALL`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Predicate Quantified Type' enumerators.

Method Detail

### get

    public static PredicateQuantifiedType get(java.lang.String literal)

  Returns the 'Predicate Quantified Type' literal with the specified literal value.

### getByName

    public static PredicateQuantifiedType getByName(java.lang.String name)

  Returns the 'Predicate Quantified Type' literal with the specified name.

### get

    public static PredicateQuantifiedType get(int value)

  Returns the 'Predicate Quantified Type' literal with the specified integer value.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.